## EXPORT_SPEC int UpnpUnSubscribe

## ( IN UpnpClient_Handle Hnd,
IN Upnp_SID SubsId )

> UpnpUnSubscribe removes the subscription of a control point from a service previously subscribed to using UpnpSubscribe or UpnpSubscribeAsync.

## Documentation

> UpnpUnSubscribe removes the subscription of a control point from a service previously subscribed to using UpnpSubscribe or UpnpSubscribeAsync. This is a synchronous call.

Parameters:
  Hnd - The handle of the subscribed control point.
  SubsId - The ID returned when the control point subscribed to the service.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.
  - `UPNP_E_INVALID_SID`: The SubsId is not a valid subscription ID.
  - `UPNP_E_NETWORK_ERROR`: A network error occured.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_SOCKET_BIND`: An error occurred binding a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting to PublisherUrl.
  - `UPNP_E_OUTOF_SOCKET`: An error ocurred creating a socket.
  - `UPNP_E_BAD_RESPONSE`: An error occurred in response from the publisher.
  - `UPNP_E_UNSUBSCRIBE_UNACCEPTED`: The publisher refused the unsubscribe request (the client is still unsubscribed and no longer receives events).
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.